Debian Bug report logs - #548044
dns2tcp: FTBFS with eglibc 2.10

version graph

Package: dns2tcp; Maintainer for dns2tcp is Arnaud Cornet <acornet@debian.org>; Source for dns2tcp is src:dns2tcp.

Reported by: Ilya Barygin <barygin@gmail.com>

Date: Wed, 23 Sep 2009 13:18:01 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in version dns2tcp/0.4.dfsg-5

Fixed in version dns2tcp/0.4.dfsg-5.1

Done: Simon Richter <sjr@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arnaud Cornet <acornet@debian.org>:
Bug#548044; Package dns2tcp. (Wed, 23 Sep 2009 13:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ilya Barygin <barygin@gmail.com>:
New Bug report received and forwarded. Copy sent to Arnaud Cornet <acornet@debian.org>. (Wed, 23 Sep 2009 13:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ilya Barygin <barygin@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dns2tcp: FTBFS with eglibc 2.10
Date: Wed, 23 Sep 2009 16:54:14 +0400
[Message part 1 (text/plain, inline)]
Package: dns2tcp
Version: 0.4.dfsg-5
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu karmic ubuntu-patch

In Ubuntu, we've applied the attached patch to achieve the following:

  * debian/patches/strnlen-declaration.diff: new patch to remove 
    conflicting declarations of strnlen() (LP: #435104).

We thought you might be interested in doing the same. 

Build fails with the following error:
In file included from queue.c:32:
../common/includes/dns.h:143: error: conflicting types for 'strnlen'
/usr/include/string.h:404: note: previous declaration of 'strnlen' was here

http://launchpadlibrarian.net/31697788/buildlog_ubuntu-karmic-i386.dns2tcp_0.4.dfsg-5_FAILEDTOBUILD.txt.gz

-- System Information:
Debian Release: 5.0
  APT prefers jaunty-updates
  APT policy: (500, 'jaunty-updates'), (500, 'jaunty-security'), (500,
'jaunty-proposed'), (500, 'jaunty-backports'), (500, 'jaunty')
Architecture: i386 (i686)

Kernel: Linux 2.6.28-15-generic (SMP w/2 CPU cores)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[strnlen-declaration.diff (text/x-patch, attachment)]

Severity set to 'serious' from 'normal' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Thu, 29 Oct 2009 05:04:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, sjr@debian.org, Arnaud Cornet <acornet@debian.org>:
Bug#548044; Package dns2tcp. (Fri, 27 Nov 2009 21:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
Extra info received and forwarded to list. Copy sent to sjr@debian.org, Arnaud Cornet <acornet@debian.org>. (Fri, 27 Nov 2009 21:27:07 GMT) Full text and rfc822 format available.

Message #12 received at 548044@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: Debian Bug Tracking System <548044@bugs.debian.org>
Subject: NMU diff
Date: Fri, 27 Nov 2009 22:24:17 +0100
[Message part 1 (text/plain, inline)]
Package: dns2tcp
Version: 0.4.dfsg-5

Hi,

I'm uploading a package with the attached diff.

   Simon
[diff (text/x-diff, attachment)]

Reply sent to Simon Richter <sjr@debian.org>:
You have taken responsibility. (Sat, 28 Nov 2009 10:51:14 GMT) Full text and rfc822 format available.

Notification sent to Ilya Barygin <barygin@gmail.com>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 10:51:14 GMT) Full text and rfc822 format available.

Message #17 received at 548044-close@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: 548044-close@bugs.debian.org
Subject: Bug#548044: fixed in dns2tcp 0.4.dfsg-5.1
Date: Sat, 28 Nov 2009 10:47:11 +0000
Source: dns2tcp
Source-Version: 0.4.dfsg-5.1

We believe that the bug you reported is fixed in the latest version of
dns2tcp, which is due to be installed in the Debian FTP archive:

dns2tcp_0.4.dfsg-5.1.diff.gz
  to main/d/dns2tcp/dns2tcp_0.4.dfsg-5.1.diff.gz
dns2tcp_0.4.dfsg-5.1.dsc
  to main/d/dns2tcp/dns2tcp_0.4.dfsg-5.1.dsc
dns2tcp_0.4.dfsg-5.1_i386.deb
  to main/d/dns2tcp/dns2tcp_0.4.dfsg-5.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 548044@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon Richter <sjr@debian.org> (supplier of updated dns2tcp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 27 Nov 2009 22:10:12 +0100
Source: dns2tcp
Binary: dns2tcp
Architecture: source i386
Version: 0.4.dfsg-5.1
Distribution: unstable
Urgency: low
Maintainer: Arnaud Cornet <acornet@debian.org>
Changed-By: Simon Richter <sjr@debian.org>
Description: 
 dns2tcp    - TCP over DNS tunnel client and server
Closes: 548044
Changes: 
 dns2tcp (0.4.dfsg-5.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove clashing strnlen declarations. Thanks to Ilya Barygin for the
     patch (Closes: #548044)
Checksums-Sha1: 
 404aa5a7bd114489b076c7f66a18f4e350014605 1107 dns2tcp_0.4.dfsg-5.1.dsc
 983b6d32a55aa886b6de6da70053d29930cb83b3 2895 dns2tcp_0.4.dfsg-5.1.diff.gz
 fa141a3c80f5a6861ec79869d0017294c4b54e08 31124 dns2tcp_0.4.dfsg-5.1_i386.deb
Checksums-Sha256: 
 14109926efe5ae8d747b06f9cdc5e9a935d8529b5093ab097809f94db56f2452 1107 dns2tcp_0.4.dfsg-5.1.dsc
 0e1fd22e6efc47870f5dcf251e40a5ae1449f39cd699a3023d8419a427ac0f09 2895 dns2tcp_0.4.dfsg-5.1.diff.gz
 b6a34ff38817e38b4f109804ca6cff937da2c9be1dedb0e200b85ff2f1486d75 31124 dns2tcp_0.4.dfsg-5.1_i386.deb
Files: 
 2dbf363c8201c936242d0b9b687863bd 1107 net optional dns2tcp_0.4.dfsg-5.1.dsc
 360e2408d246acba628a58d5cb232676 2895 net optional dns2tcp_0.4.dfsg-5.1.diff.gz
 266c390ca06a60478e26d36eb1571464 31124 net optional dns2tcp_0.4.dfsg-5.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iJwEAQECAAYFAksQ/qkACgkQ0sfeulffv7vawgP9FFMUNZDn4BQqREWIp+bMubz+
NjbSf/S+OPUpWkxsdczVfko3rjPH5jde1tlDaREJIuaawEcZovjnIlmvKK1TchzG
TH3qX6v7Q7rr/D3DXPPd5aky9zRAeau6i8lftsRHf3EJrjnCxKi/aAkwkon7A5JC
YvNJuzve6OGrLS0D+gk=
=CvST
-----END PGP SIGNATURE-----





Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Sat, 23 Jan 2010 15:54:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:57:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:32:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.